/*
   Copyright (c) 2019 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#include "includes.h"
#include "pil.h"

#ifndef CANBUS_H_
#define CANBUS_H_

#include "canbus_impl.h" // implementation specific

extern void CANBUS_sinit();

extern CANBUS_Handle_t CANBUS_init(void *aMemory, const size_t aNumBytes);

extern void CANBUS_configure(CANBUS_Handle_t aHandle, uint16_t pinset, int32_t clk);

extern void CANBUS_setTiming(CANBUS_Handle_t aHandle, uint16_t tseg1, uint16_t tseg2, uint16_t sjw);

extern bool CANBUS_setupPort(CANBUS_Handle_t aHandle, uint32_t baudrate);

extern void CANBUS_setBusOn(CANBUS_Handle_t aHandle, bool busOn);

extern bool CANBUS_isBusOn(CANBUS_Handle_t aHandle);

extern bool CANBUS_setupMailbox(CANBUS_Handle_t aHandle, uint16_t aMailBox, bool aConfigureForTransmit, uint32_t aId, bool isExtended, unsigned char aLen);

extern void CANBUS_disableMailbox(CANBUS_Handle_t aHandle, uint16_t aMailBox);

// not sure if needed...
extern bool CANBUS_readyForTx(CANBUS_Handle_t aHandle, uint16_t aMailBox);

// not sure if needed...
extern void CANBUS_getAndClearNewMsgFlag(CANBUS_Handle_t aHandle, uint16_t aMailBox);

extern bool CANBUS_getMessage(CANBUS_Handle_t aHandle, uint16_t aMailBox, unsigned char data[], unsigned char *len);

extern bool CANBUS_putMessage(CANBUS_Handle_t aHandle, uint16_t aMailBox, unsigned char data[], unsigned char len);

#endif /* CANBUS_H_ */
